#
# rubyemu.rb
#
#   Copyright (c) 1999 Minero Aoki <aamine@dp.u-netsurf.ne.jp>
#
#   This program is free software.
#   You can distribute/modify this program under the terms of
#   the GNU Lesser General Public License version 2 or later.
#

require 'rbconfig'

module RubyEmuration

  DL_EXT     = Config::CONFIG['DLEXT']
  Extentions = [ 'rb', DL_EXT ]

  def find_feature( feature )
    Extentions.each do |ext|
      $LOAD_PATH.each do |dir|
        path = "#{dir}/#{feature}.#{ext}"
        if File.file? path then
          return path
        end
      end
    end

    nil
  end
      
  def required?( feature )
    Extentions.each do |ext|
      if $".index( "#{feature}.#{ext}" ) then
        return true
      end
    end

    false
  end

  module_function :find_feature, :required?

end
